Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 590245

Summary: Review Request: gecode - Generic constraint development environment
Product: [Fedora] Fedora Reporter: Mohamed El Morabity <pikachu.2014>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: StalledSubmitter
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-26 13:32:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mohamed El Morabity 2010-05-08 10:28:21 UTC
Spec URL: http://melmorabity.fedorapeople.org/packages/gecode/gecode.spec
SRPM URL: http://melmorabity.fedorapeople.org/packages/gecode/gecode-3.3.1-1.fc13.src.rpm
Description:
Gecode is a toolkit for developing constraint-based systems and
applications. Gecode provides a constraint solver with state-of-the-art
performance while being modular and extensible.

This package builds fine in mock and koji (see http://koji.fedoraproject.org/koji/taskinfo?taskID=2173720).

About rpmlint: rpmlint runs silently on all packages, except for the main one:
$ rpmlint gecode-3.3.1-1.fc13.x86_64.rpm
gecode.x86_64: W: shared-lib-calls-exit /usr/lib64/libgecodeflatzinc.so.22.0 exit@GLIBC_2.2.5
gecode.x86_64: W: shared-lib-calls-exit /usr/lib64/libgecodedriver.so.22.0 exit@GLIBC_2.2.5
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 1 Jason Tibbitts 2010-11-19 14:47:22 UTC
I get very many more rpmlint complaints than you do:
  5 packages and 0 specfiles checked; 37 errors, 365 warnings.

Loads and loads of spurious-executable-perm warnings; why are all of the "hpp" files executable?
  gecode-devel.x86_64: W: spurious-executable-perm
   /usr/include/gecode/int/bool/clause.hpp

Perhaps I'm not understanding how this software is to be used, but why does the main package contain only libraries while the -devel package contains the only executable?  How are you actually expected to run the software?  And why is the executable "fz" instead of something related to the name of the software?

The current version seems to be 3.4.2.

The -doc package is 77MB, which seems excessive.  It doesn't contain the non-free book, does it?

Comment 2 Mohamed El Morabity 2011-10-26 13:32:52 UTC
I lost interest on packaging gecode for Fedora. I'd rather close this review.